
Figure - Bug #115844
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试6小时，出现ANR：com.android.launcher3（1）
2023-02-03 14:13 - CD Test赵飞

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date: 2023-03-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 与116540产生原因相同

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 500  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.launcher3 (pid 2848)

ANR in com.android.launcher3 (com.android.launcher3/.uioverrides.QuickstepLauncher)

PID: 2848

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.launcher3/.uioverrides.QuickstepLauncher

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 7077ms to 0ms ago (2023-02-02 02:39:32.100 to 2023-02-02 02:39:39.177):

  3.6% 1513/system_server: 2.4% user + 1.2% kernel / faults: 1343 minor

  1.8% 7053/kworker/u16:10-kgsl-mementry: 0% user + 1.8% kernel

  0.7% 335/kworker/u16:14-kverityd: 0% user + 0.7% kernel

  0.4% 2350/com.android.systemui: 0.3% user + 0% kernel / faults: 48 minor

  0.5% 21/ksoftirqd/1: 0% user + 0.5% kernel

  0.4% 470/kworker/u16:16-kverityd: 0% user + 0.4% kernel

  0.2% 503/logd: 0.1% user + 0% kernel

  0.4% 648/vendor.ts.uart@1.0-service: 0.1% user + 0.2% kernel

  0% 825/android.hardware.wifi@1.0-service: 0% user + 0% kernel / faults: 20 minor

  0% 980/surfaceflinger: 0% user + 0% kernel / faults: 4 minor

...
【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_115842/Tlog.zip

Related issues:

Related to Figure - Bug # 116540: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-02-24 2023-03-15

History

#1 - 2023-02-06 15:49 - CD APP-王营

- Due date set to 2023-02-15

- Status changed from New to ASSIGNED

#2 - 2023-02-10 10:22 - CD Test赵飞

- File Tlog_settings_ANR_20230210.zip added

2/9号release版本执行monkey出现1次com.android.settings的ANR，Tlog见附件

#3 - 2023-02-16 09:29 - CD APP-王营

- Due date changed from 2023-02-15 to 2023-02-17

#4 - 2023-02-20 09:15 - CD APP-王营

- Due date changed from 2023-02-17 to 2023-02-28

#5 - 2023-02-27 14:46 - CD APP-王营

- Due date changed from 2023-02-28 to 2023-03-15

#6 - 2023-02-28 10:24 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CD Test赵飞

to 赵飞

当前ANR问题原因相同，都在票#116540上跟踪和更新状态，请关闭此票。

#7 - 2023-02-28 10:48 - CD Test赵飞

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Root cause set to 与116540产生原因相同

关与116540产生原因相同，在116540中跟踪，关闭此问题

#8 - 2023-02-28 10:48 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

#9 - 2023-02-28 10:48 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
Files

Tlog_settings_ANR_20230210.zip 39.8 MB 2023-02-10 CD Test赵飞
